Jump to content

[Résolu] Prob ati - xorg


Recommended Posts

J'ai tenté d'installer les drivers ati en suivant le tuto

Arrivé au point crucial de compiler mon .deb fraichement créé, quand je tape

chmod +x ./make.sh

./make.sh

j'obtient un message:

root@tuks:/lib/modules/fglrx/build_mod # ./make.sh

ATI module generator V 2.0

==========================

initializing...

kernel includes at /usr/src/linux/include not found or incomplete

file: /usr/src/linux/include/linux/version.h

J'ai cherché a mettre a jour mais ca a rien changé.

Je suis sur Ubuntu 5.04 avec Xorg 6.8.2-10. Mon kernel a la version 2.4.27

Je dois faire quoi pour que ca marche???

Link to post
Share on other sites

J'ai fait un

apt-get uprade (1 heure!)

ensuite un uname -r et ma version du kernel est la 2.6.10-5-386 ;)

ensuite je fait un

apt-cache search kernel-source

et dans la liste j'ai tout plein de kernel qui s'affiche mais en version 2.4.27 uniquement :D (dont kernel-source-2.4.27 - Linux kernel source for version 2.4.27 with Debian patches qui me faut en 2.6.10)

Je me suis dit qu'il manquais des adresses dans le /etc/apt/sources.list

J'ai trouvé un tuto pour ubuntu et rajouter des liens dans le sources.list mais les sites sont ignorés quand je fait un apt-get update :D et la liste des kernel-source ne change pas. (meme chose par synaptic) Meme en ajoutant le cd d'install dans la liste.

Pour le "sport", je suis aller voir sur kernel.org et vu ke la dernière version stable était la 2.6.13

j'ai fait un

apt-cache search kernel-image et kernel-image-2.6.13

mais soit j'ai plein de truc rien a voir(pcmcia et autre dans le genre) soit rien.

Comment je peut faire pour avoir les sources pour mon kernel?

Link to post
Share on other sites

Essai de chercher le package "kernel-headers" qui correspond à la version de ton kernel.

Autre possibilité, si tu es bien sûr que le répertoire /usr/src/linux pointe vers les sources de ton kernel actuel, tu peux faire:

# cd /usr/src/linux; make

Et interrompre la compilation au bout de 30 secondes. En principe ca va te génerer le fichier manquant.

Enfin je suis étonné que tu ne trouves pas le package kernel-source-2.6.10:

http://packages.debian.org/unstable/devel/...l-source-2.6.10

Link to post
Share on other sites

Ca marche :oops::oops::francais::craint: ^^

Pour les stat:

tourist@tuks:~$ glxgears

14526 frames in 5.0 seconds = 2905.200 FPS

16284 frames in 5.0 seconds = 3256.800 FPS

16284 frames in 5.0 seconds = 3256.800 FPS

16283 frames in 5.0 seconds = 3256.600 FPS

16282 frames in 5.0 seconds = 3256.400 FPS

16283 frames in 5.0 seconds = 3256.600 FPS

16284 frames in 5.0 seconds = 3256.800 FPS

16283 frames in 5.0 seconds = 3256.600 FPS

16285 frames in 5.0 seconds = 3257.000 FPS

16284 frames in 5.0 seconds = 3256.800 FPS

16285 frames in 5.0 seconds = 3257.000 FPS

tourist@tuks:~$ fgl_glxgears

2936 frames in 5.0 seconds = 587.200 FPS

3245 frames in 5.0 seconds = 649.000 FPS

3367 frames in 5.0 seconds = 673.400 FPS

3362 frames in 5.0 seconds = 672.400 FPS

3365 frames in 5.0 seconds = 673.000 FPS

3360 frames in 5.0 seconds = 672.000 FPS

3363 frames in 5.0 seconds = 672.600 FPS

3368 frames in 5.0 seconds = 673.600 FPS

Je crois que ca marche bien :ouioui:

Merci beaucoup

Link to post
Share on other sites

La cause était double en fait.

J'ai mis les sources du kernel et après je me suis rendu compte que mon kernel était en 2.6.10-5-386 alors j'ai changé en 2.6.10-5-k7.

J'ai changé les noyaux linux-image-2.6.10-5-386 et linux-image-386 par linux-image-2.6.10-5-k7 et linux-image-k7(j'ai aussi installé linux-k7 a la place de linux-386 qui se désinstalle en meme temps que linux-image-2.6.10-5-386)

Avec quelques changements (voir LA pour info) et ce fut bon.

En fait j'avais tout faux depuis que j'avais installé mon Ubuntu :chinois:

Mon install de drivers a été un mix de 2 tuto :p

Mais ca marche c'est le principal. :p

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...